LibreOffice: Spreadsheet Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
Spreadsheet Service Reference

represents a complete spreadsheet in a spreadsheet document. More...

Inheritance diagram for Spreadsheet:

## Included Services
service | com::sun::star::sheet::SheetCellRange
| provides functionality for cell range handling.
service | com::sun::star::sheet::Scenario
Included Services inherited from SheetCellRange
service | com::sun::star::table::CellRange
| provides basic handling of cell ranges and contributes common cell formatting properties.
service | com::sun::star::style::CharacterProperties
| contributes properties for character formatting of Western text.
service | com::sun::star::style::CharacterPropertiesAsian
| contributes properties for character formatting of Asian text.
service | com::sun::star::style::CharacterPropertiesComplex
| contributes properties for character formatting of Complex text.
service | com::sun::star::style::ParagraphProperties
| contributes properties for paragraph formatting.
service | com::sun::star::sheet::SheetRangesQuery
| provides interfaces to find cells with specific properties.
Included Services inherited from CellRange
service | com::sun::star::table::CellProperties
| contains the properties of the cells of this cell range.

## Exported Interfaces
interface | com::sun::star::sheet::XSpreadsheet
| provides methods to create a cell cursor.
interface | com::sun::star::container::XNamed
| provides accessing the spreadsheet name.
interface | com::sun::star::util::XProtectable
| provides methods to protect and unprotect the sheet contents.
interface | com::sun::star::sheet::XDataPilotTablesSupplier
| provides access to the collection of DataPilot tables.
interface | com::sun::star::sheet::XScenariosSupplier
| provides access to the collection of scenarios.
interface | com::sun::star::sheet::XSheetAnnotationsSupplier
| provides access to the collection of annotations.
interface | com::sun::star::drawing::XDrawPageSupplier
| provides access to the draw page of this spreadsheet.
interface | com::sun::star::table::XTableChartsSupplier
| provides access to the collection of chart objects.
interface | com::sun::star::sheet::XCellRangeMovement
| provides methods to move cell ranges inside the spreadsheet or to other spreadsheets in this document.
interface | com::sun::star::sheet::XPrintAreas
| provides access to the print area settings of this sheet.
interface | com::sun::star::sheet::XSheetPageBreak
| provides access to the page breaks of this sheet.
interface | com::sun::star::sheet::XSheetOutline
| provides access to row and column outline settings.
interface | com::sun::star::sheet::XSheetAuditing
| provides access to the auditing (detective) functionality.
interface | com::sun::star::sheet::XSheetLinkable
| provides methods for a linked sheet.
interface | com::sun::star::sheet::XExternalSheetName
| provides a method to set an external name at the sheet.
Exported Interfaces inherited from SheetCellRange
interface | com::sun::star::util::XReplaceable
| provides "Find and Replace" functionality.
interface | com::sun::star::util::XMergeable
| provides merging and unmerging the cells of this cell range.
interface | com::sun::star::util::XIndent
| provides modifying the cell indentation.
interface | com::sun::star::table::XColumnRowRange
| provides access to the collections of columns and rows.
interface | com::sun::star::table::XAutoFormattable
| provides applying an AutoFormat to the cell range.
interface | com::sun::star::sheet::XSheetCellRange
| provides access to the spreadsheet that contains this cell range.
interface | com::sun::star::sheet::XCellRangeData
| provides simultaneous access to the contents of all cells.
interface | com::sun::star::sheet::XCellRangeFormula
| provides simultaneous access to the formula contents of all cells.
interface | com::sun::star::sheet::XCellRangeAddressable
| provides access to the cell range address of this range.
interface | com::sun::star::sheet::XSheetOperation
| provides computation of a value based on the contents of all cells of this range and to clear specific cells.
interface | com::sun::star::sheet::XCellSeries
| provides filling out the cell range automatically with values based on a start value, step count and fill mode.
interface | com::sun::star::sheet::XArrayFormulaRange
| provides handling of array formulas.
interface | com::sun::star::sheet::XMultipleOperation
| provides access to the Multiple Operations feature.
interface | com::sun::star::util::XSortable
| provides sorting functionality.
interface | com::sun::star::util::XImportable
| provides functionality to import data from external data sources.
interface | com::sun::star::sheet::XSubTotalCalculatable
| provides calculating SubTotal values in this range.
interface | com::sun::star::sheet::XSheetFilterableEx
| provides filtering the contents of this range.
interface | com::sun::star::sheet::XCellFormatRangesSupplier
| provide access to a collection of equal-formatted cell ranges.
interface | com::sun::star::sheet::XUniqueCellFormatRangesSupplier
| provide access to a collection of equal-formatted cell ranges.
interface | com::sun::star::chart::XChartDataArray
| provides modifying the source data cells of a chart and makes it possible to learn about changes in the cell values.
interface | com::sun::star::beans::XTolerantMultiPropertySet
interface | com::sun::star::util::XModifyBroadcaster
Exported Interfaces inherited from CellRange
interface | com::sun::star::table::XCellRange
| provides access to the cells or to sub-ranges of this cell range.
Exported Interfaces inherited from CellProperties
interface | com::sun::star::beans::XPropertySet
| published service PropertySet
Exported Interfaces inherited from SheetRangesQuery
interface | com::sun::star::sheet::XCellRangesQuery
| provides methods to query for cell ranges with specific contents.
interface | com::sun::star::sheet::XFormulaQuery
| provides methods to find dependent cells of formula cells.
Exported Interfaces inherited from Scenario
interface | com::sun::star::sheet::XScenario
interface | com::sun::star::sheet::XScenarioEnhanced
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::container::XNamed

## Public Attributes
boolean | IsVisible
| specifies if the sheet is visible.
string | PageStyle
| specifies the page style of the sheet.
short | TableLayout
| specifies the direction of the columns in the spreadsheet.
boolean | AutomaticPrintArea
| specifies whether the sheet has an automatic print area.
com::sun::star::util::Color | TabColor
| specifies the color of the sheet tab, if any.
com::sun::star::sheet::XConditionalFormats | ConditionalFormats
| specifies all conditional formats of that sheet
Public Attributes inherited from SheetCellRange
com::sun::star::awt::Point | Position
| contains the position of the top left cell of this range in the sheet (in 1/100 mm).
com::sun::star::awt::Size | Size
| contains the size of this range (in 1/100 mm).
com::sun::star::sheet::XSheetConditionalEntries | ConditionalFormat
| contains the conditional formatting settings for this cell.
com::sun::star::sheet::XSheetConditionalEntries | ConditionalFormatLocal
| contains the conditional formatting settings for this cell, using localized formulas.
com::sun::star::beans::XPropertySet | Validation
| contains the data validation settings for this cell.
com::sun::star::beans::XPropertySet | ValidationLocal
| contains the data validation settings for this cell, using localized formulas.
string | AbsoluteName
| Returns the absolute address of the range as string, e.g.
Public Attributes inherited from CellProperties
string | CellStyle
| contains the name of the style of the cell.
com::sun::star::util::Color | CellBackColor
| contains the cell background color.
boolean | IsCellBackgroundTransparent
| is `TRUE`, if the cell background is transparent.
com::sun::star::table::CellHoriJustify | HoriJustify
| contains the horizontal alignment of the cell contents.
long | VertJustify
| contains the vertical alignment of the cell contents.
boolean | IsTextWrapped
| is `TRUE`, if text in the cells will be wrapped automatically at the right border.
short | ParaIndent
| defines the indentation of the cell contents (in 1/100 mm).
com::sun::star::table::CellOrientation | Orientation
| contains the orientation of the cell contents.
long | RotateAngle
| defines how much the content of cells is rotated (in 1/100 degrees).
long | RotateReference
| defines at which edge rotated cells are aligned.
boolean | AsianVerticalMode
| selects Asian character orientation in vertical orientation.
com::sun::star::table::TableBorder | TableBorder
| contains a description of the cell or cell range border.
com::sun::star::table::BorderLine | TopBorder
| contains a description of the top border line of each cell.
com::sun::star::table::BorderLine | BottomBorder
| contains a description of the bottom border line of each cell.
com::sun::star::table::BorderLine | LeftBorder
| contains a description of the left border line of each cell.
com::sun::star::table::BorderLine | RightBorder
| contains a description of the right border line of each cell.
long | NumberFormat
| contains the index of the number format that is used in the cells.
com::sun::star::table::ShadowFormat | ShadowFormat
| contains a description of the shadow.
com::sun::star::util::CellProtection | CellProtection
| contains a description of the cell protection.
com::sun::star::container::XNameContainer | UserDefinedAttributes
| stores additional attributes.
com::sun::star::table::BorderLine | DiagonalTLBR
| contains a description of the top left to bottom right diagonal line of each cell.
com::sun::star::table::BorderLine | DiagonalBLTR
| contains a description of the bottom left to top right diagonal line of each cell.
boolean | ShrinkToFit
| is `TRUE`, if the cell content will be shrunk to fit in the cell.
com::sun::star::table::TableBorder2 | TableBorder2
| contains a description of the cell or cell range border.
com::sun::star::table::BorderLine2 | TopBorder2
| contains a description of the top border line of each cell.
com::sun::star::table::BorderLine2 | BottomBorder2
| contains a description of the bottom border line of each cell.
com::sun::star::table::BorderLine2 | LeftBorder2
| contains a description of the left border line of each cell.
com::sun::star::table::BorderLine2 | RightBorder2
| contains a description of the right border line of each cell.
com::sun::star::table::BorderLine2 | DiagonalTLBR2
| contains a description of the top left to bottom right diagonal line of each cell.
com::sun::star::table::BorderLine2 | DiagonalBLTR2
| contains a description of the bottom left to top right diagonal line of each cell.
Public Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style.
string | CharFontStyleName
| This property contains the name of the font style.
short | CharFontFamily
| This property contains font family.
short | CharFontCharSet
| This property contains the text encoding of the font.
short | CharFontPitch
| This property contains the font pitch.
com::sun::star::util::Color | CharColor
| This property contains the value of the text color.
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters.
float | CharHeight
| This value contains the height of the characters in point.
short | CharUnderline
| This property contains the value for the character underline.
float | CharWeight
| This property contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document.
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used.
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color.
long | CharShadingValue
| This optional property contains the text shading value.
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent.
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying.
boolean | CharCrossedOut
| This property is `TRUE` if the characters are crossed out.
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing.
short | CharStrikeout
| This property determines the type of the strike out of the character.
boolean | CharWordMode
| If this property is `TRUE`, the underline and strike-through properties are not applied to white spaces.
short | CharKerning
| This optional property contains the value of the kerning of the characters.
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale.
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines.
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area.
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect.
short | CharFontType
| This optional property specifies the fundamental technology of the font.
string | CharStyleName
| This optional property specifies the name of the style of the font.
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect.
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines.
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines.
short | CharEmphasis
| This optional property contains the font emphasis value.
short | CharRelief
| This optional property contains the relief style of the characters.
string | RubyText
| This optional property contains the text that is set as ruby.
short | RubyAdjust
| This optional property determines the adjustment of the ruby .
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText.
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text.
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree.
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height.
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters.
string | HyperLinkURL
| This optional property contains the URL of a hyperlink.
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink.
string | HyperLinkName
| This optional property contains the name of the hyperlink.
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks.
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent.
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character.
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters.
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline.
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible.
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes.
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object.
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object.
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object.
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object.
long | CharBorderDistance
| This property contains the distance from the border to the object.
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object.
long | CharRightBorderDistance
| This property contains the distance from the right border to the object.
long | CharTopBorderDistance
| This property contains the distance from the top border to the object.
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object.
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow.
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight.
short | RubyPosition
| This optional property determines the position of the ruby .
short | CharTransparence
| This is the transparency of the character text.
short | CharColorTheme
| If available, keeps the color theme index, so that the character can be re-colored easily based on a theme.
short | CharColorTintOrShade
| Tint or shade of the character color.
Public Attributes inherited from CharacterPropertiesAsian
float | CharHeightAsian
| This value contains the height of the characters in point.
float | CharWeightAsian
| This property contains the value of the font weight.
string | CharFontNameAsian
| This property specifies the name of the font style.
string | CharFontStyleNameAsian
| This property contains the name of the font style.
short | CharFontFamilyAsian
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetAsian
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchAsian
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureAsian
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleAsian
| contains the value of the locale.
Public Attributes inherited from CharacterPropertiesComplex
float | CharHeightComplex
| This value contains the height of the characters in point.
float | CharWeightComplex
| This property contains the value of the font weight.
string | CharFontNameComplex
| This property specifies the name of the font style.
string | CharFontStyleNameComplex
| This property contains the name of the font style.
short | CharFontFamilyComplex
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetComplex
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchComplex
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureComplex
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleComplex
| contains the value of the locale.
Public Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph.
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph.
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color.
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent.
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph.
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph.
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic.
short | ParaLastLineAdjust
| determines the adjustment of the last line.
boolean | ParaExpandSingleWord
| determines if single words are stretched.
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm.
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm.
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm.
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm.
boolean | ParaContextMargin
| determines if contextual spacing is used.
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering.
long | ParaLineNumberStartValue
| contains the start value for the line numbering.
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use.
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number.
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph.
string | ParaStyleName
| contains the name of the current paragraph style.
string | PageStyleName
| contains the name of the current page style.
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted.
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word.
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph.
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns.
short | NumberingLevel
| specifies the numbering level of the paragraph.
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph.
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph.
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph.
string | NumberingStyleName
| specifies the name of the style for the numbering.
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page.
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page.
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow.
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object.
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object.
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object.
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object.
long | BorderDistance
| contains the distance from the border to the object.
long | LeftBorderDistance
| contains the distance from the left border to the object.
long | RightBorderDistance
| contains the distance from the right border to the object.
long | TopBorderDistance
| contains the distance from the top border to the object.
long | BottomBorderDistance
| contains the distance from the bottom border to the object.
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table.
string | DropCapCharStyleName
| specifies the character style name for drop caps.
long | ParaFirstLineIndent
| specifies the indent for the first line.
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically.
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied.
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens.
short | ParaHyphenationMaxLeadingChars
| specifies the minimum number of characters to remain before the hyphen character (when hyphenation is applied).
short | ParaHyphenationMaxTrailingChars
| specifies the minimum number of characters to remain after the hyphen character (when hyphenation is applied).
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph.
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes.
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label.
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph.
string | ListId
| specifies the id of the list to which the paragraph belongs
short | OutlineLevel
| specifies the outline level to which the paragraph belongs
com::sun::star::graphic::XGraphic | ParaBackGraphic
| contains the graphic for the background of a paragraph.
boolean | ContinueingPreviousSubTree
| specifies that a child node of a parent node that is not counted is continuing the numbering of parent's previous node's sub tree.
string | ListLabelString
| allows reading the generated numbering list label.
boolean | ParaHyphenationNoCaps
| Specifies whether words written in CAPS will be hyphenated.
boolean | ParaHyphenationNoLastWord
| Specifies whether last word of paragraph will be hyphenated.
short | ParaHyphenationMinWordLength
| specifies the minimum word length in characters, when hyphenation is applied.
long | ParaHyphenationZone
| specifies the hyphenation zone, i.e.
Public Attributes inherited from Scenario
boolean | IsActive
| specifies if the scenario is active.
long | BorderColor
| specifies the color of the border of the scenario.
boolean | Protected
| specifies if the scenario is protected.
boolean | ShowBorder
| specifies if the scenario shows a border.
boolean | PrintBorder
| specifies if the scenario prints a border.
boolean | CopyBack
| specifies if the data should be copied back into the scenario.
boolean | CopyStyles
| specifies if the styles are copied.
boolean | CopyFormulas
| specifies if the formulas are copied or only the results.

## Additional Inherited Members
Public Types inherited from CellProperties
typedef sequence< com::sun::star::beans::PropertyValue > | CellInteropGrabBag
| Grab bag of cell properties, used as a string-any map for interim interop purposes.
Public Types inherited from CharacterProperties
typedef sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font.
typedef sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes.
Public Types inherited from ParagraphProperties
typedef sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes.
typedef sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XCellRange
com::sun::star::table::XCell | getCellByPosition ([in] long nColumn, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a single cell within the range.
com::sun::star::table::XCellRange | getCellRangeByPosition ([in] long nLeft, [in] long nTop, [in] long nRight, [in] long nBottom) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a sub-range of cells within the range.
com::sun::star::table::XCellRange | getCellRangeByName ([in] string aRange)
| Returns a sub-range of cells within the range.
Public Member Functions inherited from XCellRangesQuery
com::sun::star::sheet::XSheetCellRanges | queryVisibleCells ()
| queries all visible cells.
com::sun::star::sheet::XSheetCellRanges | queryEmptyCells ()
| queries all empty cells.
com::sun::star::sheet::XSheetCellRanges | queryContentCells ([in] short nContentFlags)
| queries all cells with the specified content type(s).
com::sun::star::sheet::XSheetCellRanges | queryFormulaCells ([in] long nResultFlags)
| queries all formula cells with the specified result type.
com::sun::star::sheet::XSheetCellRanges | queryColumnDifferences ([in] com::sun::star::table::CellAddress aCompare)
| queries all cells with different values in a specified row.
com::sun::star::sheet::XSheetCellRanges | queryRowDifferences ([in] com::sun::star::table::CellAddress aCompare)
| queries all cells with different values in a specified column.
com::sun::star::sheet::XSheetCellRanges | queryIntersection ([in] com::sun::star::table::CellRangeAddress aRange)
| intersects the current cell range(s) with the specified cell range.
Public Member Functions inherited from XFormulaQuery
com::sun::star::sheet::XSheetCellRanges | queryDependents ([in] boolean bRecursive)
| queries all dependent formula cells.
com::sun::star::sheet::XSheetCellRanges | queryPrecedents ([in] boolean bRecursive)
| queries all precedent cells.
Public Member Functions inherited from XReplaceable
com::sun::star::util::XReplaceDescriptor | createReplaceDescriptor ()
| creates a descriptor which contains properties that specify a search in this container.
long | replaceAll ([in] com::sun::star::util::XSearchDescriptor xDesc)
| searches for all occurrences of whatever is specified.
Public Member Functions inherited from XSearchable
com::sun::star::util::XSearchDescriptor | createSearchDescriptor ()
| creates a SearchDescriptor which contains properties that specify a search in this container.
com::sun::star::container::XIndexAccess | findAll ([in] com::sun::star::util::XSearchDescriptor xDesc)
| searches the contained texts for all occurrences of whatever is specified.
com::sun::star::uno::XInterface | findFirst ([in] com::sun::star::util::XSearchDescriptor xDesc)
| searches the contained texts for the next occurrence of whatever is specified.
com::sun::star::uno::XInterface | findNext ([in] com::sun::star::uno::XInterface xStartAt, [in] com::sun::star::util::XSearchDescriptor xDesc)
| searches the contained texts for the next occurrence of whatever is specified.
Public Member Functions inherited from XMergeable
void | merge ([in] boolean bMerge)
| merges/unmerges the area specified by this object.
boolean | getIsMerged ()
Public Member Functions inherited from XIndent
void | decrementIndent ()
| shifts the indentation by one default step to the left.
void | incrementIndent ()
| shifts the indentation by one default step to the right.
Public Member Functions inherited from XColumnRowRange
com::sun::star::table::XTableColumns | getColumns ()
| returns the collection of columns in the range.
com::sun::star::table::XTableRows | getRows ()
| returns the collection of rows in the range.
Public Member Functions inherited from XAutoFormattable
void | autoFormat ([in] string aName) raises ( com::sun::star::lang::IllegalArgumentException )
| applies an AutoFormat to the cell range of the current context.
Public Member Functions inherited from XSheetCellRange
com::sun::star::sheet::XSpreadsheet | getSpreadsheet ()
| returns the spreadsheet interface which contains the cell range.
Public Member Functions inherited from XCellRangeData
sequence< sequence< any > > | getDataArray ()
| gets an array from the contents of the cell range.
void | setDataArray ([in] sequence< sequence< any > > aArray)
| fills the cell range with values from an array.
Public Member Functions inherited from XCellRangeAddressable
com::sun::star::table::CellRangeAddress | getRangeAddress ()
| returns the address of the cell range in the spreadsheet document.
Public Member Functions inherited from XSheetOperation
double | computeFunction ([in] com::sun::star::sheet::GeneralFunction nFunction) raises ( com::sun::star::uno::Exception )
| computes a general function based on all cells in the current cell range(s).
void | clearContents ([in] long nContentFlags)
| unnecessary
Public Member Functions inherited from XCellSeries
void | fillSeries ([in] com::sun::star::sheet::FillDirection nFillDirection, [in] com::sun::star::sheet::FillMode nFillMode, [in] com::sun::star::sheet::FillDateMode nFillDateMode, [in] double fStep, [in] double fEndValue)
| fills all cells in the range based on the specified settings.
void | fillAuto ([in] com::sun::star::sheet::FillDirection nFillDirection, [in] long nSourceCount)
| fills all cells in the range in a way that is specified by the first cell(s) in the range.
Public Member Functions inherited from XArrayFormulaRange
string | getArrayFormula ()
| returns the array formula of the range or an empty string, if the range does not contain an array formula.
void | setArrayFormula ([in] string aFormula)
| applies the array formula to the entire cell range.
Public Member Functions inherited from XMultipleOperation
void | setTableOperation ([in] com::sun::star::table::CellRangeAddress aFormulaRange, [in] com::sun::star::sheet::TableOperationMode nMode, [in] com::sun::star::table::CellAddress aColumnCell, [in] com::sun::star::table::CellAddress aRowCell)
| creates a table of formulas (a "Multiple Operations Table").
Public Member Functions inherited from XSortable
sequence< com::sun::star::beans::PropertyValue > | createSortDescriptor ()
void | sort ([in] sequence< com::sun::star::beans::PropertyValue > xDescriptor)
| sorts the contents of the object according to the specified properties.
Public Member Functions inherited from XImportable
sequence< com::sun::star::beans::PropertyValue > | createImportDescriptor ([in] boolean bEmpty)
void | doImport ([in] sequence< com::sun::star::beans::PropertyValue > aDescriptor)
| imports data from an external database.
Public Member Functions inherited from XSubTotalCalculatable
com::sun::star::sheet::XSubTotalDescriptor | createSubTotalDescriptor ([in] boolean bEmpty)
| creates a subtotal descriptor.
void | applySubTotals ([in] com::sun::star::sheet::XSubTotalDescriptor xDescriptor, [in] boolean bReplace)
| creates subtotals using the settings of the passed descriptor.
void | removeSubTotals ()
| removes the subtotals from the current object.
Public Member Functions inherited from XSheetFilterableEx
com::sun::star::sheet::XSheetFilterDescriptor | createFilterDescriptorByObject ([in] com::sun::star::sheet::XSheetFilterable xObject)
| creates a filter descriptor for the specified filterable object from the contents of this object.
Public Member Functions inherited from XSheetFilterable
com::sun::star::sheet::XSheetFilterDescriptor | createFilterDescriptor ([in] boolean bEmpty)
| creates a filter descriptor.
void | filter ([in] com::sun::star::sheet::XSheetFilterDescriptor xDescriptor)
| performs a filter operation, using the settings of the passed filter descriptor.
Public Member Functions inherited from XCellFormatRangesSupplier
com::sun::star::container::XIndexAccess | getCellFormatRanges ()
| returns a collection of equal-formatted cell ranges.
Public Member Functions inherited from XUniqueCellFormatRangesSupplier
com::sun::star::container::XIndexAccess | getUniqueCellFormatRanges ()
| returns a collection of equal-formatted cell range collections.
Public Member Functions inherited from XChartDataArray
sequence< sequence< double > > | getData ()
| retrieves the numerical data as a nested sequence of values.
void | setData ([in] sequence< sequence< double > > aData)
| sets the chart data as an array of numbers.
sequence< string > | getRowDescriptions ()
| retrieves the description texts for all rows.
void | setRowDescriptions ([in] sequence< string > aRowDescriptions)
| sets the description texts for all rows.
sequence< string > | getColumnDescriptions ()
| retrieves the description texts for all columns.
void | setColumnDescriptions ([in] sequence< string > aColumnDescriptions)
| sets the description texts for all columns.
Public Member Functions inherited from XChartData
void | addChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| allows a component supporting the XChartDataChangeEventListener interface to register as listener.
void | removeChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| removes a previously registered listener.
double | getNotANumber ()
boolean | isNotANumber ([in] double nNumber)
| checks whether the value given is equal to the indicator value for a missing value.
Public Member Functions inherited from XScenario
boolean | getIsScenario ()
| returns `TRUE` if the current object is a scenario.
string | getScenarioComment ()
| returns the comment for the scenario.
void | setScenarioComment ([in] string aScenarioComment)
| sets a new comment for the scenario.
void | addRanges ([in] sequence< com::sun::star::table::CellRangeAddress > aRanges)
| adds more ranges to the scenario.
void | apply ()
| applies the scenario.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XSpreadsheet
com::sun::star::sheet::XSheetCellCursor | createCursor ()
| creates a cell cursor including the whole spreadsheet.
com::sun::star::sheet::XSheetCellCursor | createCursorByRange ([in] com::sun::star::sheet::XSheetCellRange aRange)
| creates a cell cursor to travel in the given range context.
Public Member Functions inherited from XProtectable
void | protect ([in] string aPassword)
| activates the protection.
void | unprotect ([in] string aPassword) raises ( com::sun::star::lang::IllegalArgumentException )
| removes the protection.
boolean | isProtected ()
Public Member Functions inherited from XDataPilotTablesSupplier
com::sun::star::sheet::XDataPilotTables | getDataPilotTables ()
| Returns the collection of data pilot tables.
Public Member Functions inherited from XScenariosSupplier
com::sun::star::sheet::XScenarios | getScenarios ()
| returns the collection of scenarios.
Public Member Functions inherited from XSheetAnnotationsSupplier
com::sun::star::sheet::XSheetAnnotations | getAnnotations ()
| returns the collection of cell annotations.
Public Member Functions inherited from XDrawPageSupplier
com::sun::star::drawing::XDrawPage | getDrawPage ()
| returns the DrawPage.
Public Member Functions inherited from XTableChartsSupplier
com::sun::star::table::XTableCharts | getCharts ()
| returns the collection of charts.
Public Member Functions inherited from XCellRangeMovement
void | insertCells ([in] com::sun::star::table::CellRangeAddress aRange, [in] com::sun::star::sheet::CellInsertMode nMode)
| inserts cells, moving other cells down or right.
void | removeRange ([in] com::sun::star::table::CellRangeAddress aRange, [in] com::sun::star::sheet::CellDeleteMode nMode)
| deletes cells, moving other cells up or left.
void | moveRange ([in] com::sun::star::table::CellAddress aDestination, [in] com::sun::star::table::CellRangeAddress aSource)
| moves a cell range to another position in the document.
void | copyRange ([in] com::sun::star::table::CellAddress aDestination, [in] com::sun::star::table::CellRangeAddress aSource)
| copies a cell range to another position in the document.
Public Member Functions inherited from XPrintAreas
sequence< com::sun::star::table::CellRangeAddress > | getPrintAreas ()
| returns a sequence containing all print areas of the sheet.
void | setPrintAreas ([in] sequence< com::sun::star::table::CellRangeAddress > aPrintAreas)
| sets the print areas of the sheet.
boolean | getPrintTitleColumns ()
| returns, whether the title columns are repeated on all subsequent print pages to the right.
void | setPrintTitleColumns ([in] boolean bPrintTitleColumns)
| specifies whether the title columns are repeated on all subsequent print pages to the right.
com::sun::star::table::CellRangeAddress | getTitleColumns ()
| returns the range that is specified as title columns range.
void | setTitleColumns ([in] com::sun::star::table::CellRangeAddress aTitleColumns)
| specifies a range of columns as title columns range.
boolean | getPrintTitleRows ()
| returns, whether the title rows are repeated on all subsequent print pages to the bottom.
void | setPrintTitleRows ([in] boolean bPrintTitleRows)
| specifies whether the title rows are repeated on all subsequent print pages to the bottom.
com::sun::star::table::CellRangeAddress | getTitleRows ()
| returns the range that is specified as title rows range.
void | setTitleRows ([in] com::sun::star::table::CellRangeAddress aTitleRows)
| specifies a range of rows as title rows range.
Public Member Functions inherited from XSheetPageBreak
sequence< com::sun::star::sheet::TablePageBreakData > | getColumnPageBreaks ()
| returns a sequence of descriptions of all horizontal page breaks on the sheet.
sequence< com::sun::star::sheet::TablePageBreakData > | getRowPageBreaks ()
| returns a sequence of descriptions of all vertical page breaks on the sheet.
void | removeAllManualPageBreaks ()
| removes all manual page breaks on the sheet.
Public Member Functions inherited from XSheetOutline
void | group ([in] com::sun::star::table::CellRangeAddress aRange, [in] com::sun::star::table::TableOrientation nOrientation)
| creates an outline group.
void | ungroup ([in] com::sun::star::table::CellRangeAddress aRange, [in] com::sun::star::table::TableOrientation nOrientation)
| removes outline groups.
void | autoOutline ([in] com::sun::star::table::CellRangeAddress aRange)
| creates outline groups from formula references in a range.
void | clearOutline ()
| removes all outline groups from the sheet.
void | hideDetail ([in] com::sun::star::table::CellRangeAddress aRange)
| collapses an outline group.
void | showDetail ([in] com::sun::star::table::CellRangeAddress aRange)
| reopens an outline group.
void | showLevel ([in] short nLevel, [in] com::sun::star::table::TableOrientation nOrientation)
| shows all outlined groups below a specific level.
Public Member Functions inherited from XSheetAuditing
boolean | hideDependents ([in] com::sun::star::table::CellAddress aPosition)
| removes arrows for one level of dependents of a formula cell.
boolean | hidePrecedents ([in] com::sun::star::table::CellAddress aPosition)
| removes arrows for one level of precedents of a formula cell.
boolean | showDependents ([in] com::sun::star::table::CellAddress aPosition)
| draws arrows between a formula cell and its dependents.
boolean | showPrecedents ([in] com::sun::star::table::CellAddress aPosition)
| draws arrows between a formula cell and its precedents.
boolean | showErrors ([in] com::sun::star::table::CellAddress aPosition)
| draws arrows between a formula cell containing an error and the cells causing the error.
boolean | showInvalid ()
| marks all cells containing invalid values.
void | clearArrows ()
| removes all auditing arrows from the spreadsheet.
Public Member Functions inherited from XSheetLinkable
com::sun::star::sheet::SheetLinkMode | getLinkMode ()
| returns the link mode of the spreadsheet.
void | setLinkMode ([in] com::sun::star::sheet::SheetLinkMode nLinkMode)
| enables the linking of the sheet and controls whether formulas are copied.
string | getLinkUrl ()
| returns the target URL of the link.
void | setLinkUrl ([in] string aLinkUrl)
| sets the target URL of the link.
string | getLinkSheetName ()
| returns the sheet name of the sheet in the source document.
void | setLinkSheetName ([in] string aLinkSheetName)
| sets the name of the linked sheet in the source document.
void | link ([in] string aUrl, [in] string aSheetName, [in] string aFilterName, [in] string aFilterOptions, [in] com::sun::star::sheet::SheetLinkMode nMode)
| links the sheet to another sheet in another document.
Protected Member Functions inherited from XCellRangeFormula
sequence< sequence< string > > | getFormulaArray ()
| gets an array from the contents of the cell range.
void | setFormulaArray ([in] sequence< sequence< string > > aArray)
| fills the cell range with values from an array.
Protected Member Functions inherited from XCellRangeAddressable
com::sun::star::table::CellRangeAddress | getRangeAddress ()
| returns the address of the cell range in the spreadsheet document.
Protected Member Functions inherited from XSheetOperation
double | computeFunction ([in] com::sun::star::sheet::GeneralFunction nFunction) raises ( com::sun::star::uno::Exception )
| computes a general function based on all cells in the current cell range(s).
void | clearContents ([in] long nContentFlags)
| unnecessary
Protected Member Functions inherited from XCellSeries
void | fillSeries ([in] com::sun::star::sheet::FillDirection nFillDirection, [in] com::sun::star::sheet::FillMode nFillMode, [in] com::sun::star::sheet::FillDateMode nFillDateMode, [in] double fStep, [in] double fEndValue)
| fills all cells in the range based on the specified settings.
void | fillAuto ([in] com::sun::star::sheet::FillDirection nFillDirection, [in] long nSourceCount)
| fills all cells in the range in a way that is specified by the first cell(s) in the range.
Protected Member Functions inherited from XArrayFormulaRange
string | getArrayFormula ()
| returns the array formula of the range or an empty string, if the range does not contain an array formula.
void | setArrayFormula ([in] string aFormula)
| applies the array formula to the entire cell range.
Protected Member Functions inherited from XMultipleOperation
void | setTableOperation ([in] com::sun::star::table::CellRangeAddress aFormulaRange, [in] com::sun::star::sheet::TableOperationMode nMode, [in] com::sun::star::table::CellAddress aColumnCell, [in] com::sun::star::table::CellAddress aRowCell)
| creates a table of formulas (a "Multiple Operations Table").
Protected Member Functions inherited from XSortable
sequence< com::sun::star::beans::PropertyValue > | createSortDescriptor ()
void | sort ([in] sequence< com::sun::star::beans::PropertyValue > xDescriptor)
| sorts the contents of the object according to the specified properties.
Protected Member Functions inherited from XImportable
sequence< com::sun::star::beans::PropertyValue > | createImportDescriptor ([in] boolean bEmpty)
void | doImport ([in] sequence< com::sun::star::beans::PropertyValue > aDescriptor)
| imports data from an external database.
Protected Member Functions inherited from XSubTotalCalculatable
com::sun::star::sheet::XSubTotalDescriptor | createSubTotalDescriptor ([in] boolean bEmpty)
| creates a subtotal descriptor.
void | applySubTotals ([in] com::sun::star::sheet::XSubTotalDescriptor xDescriptor, [in] boolean bReplace)
| creates subtotals using the settings of the passed descriptor.
void | removeSubTotals ()
| removes the subtotals from the current object.
Protected Member Functions inherited from XSheetFilterableEx
com::sun::star::sheet::XSheetFilterDescriptor | createFilterDescriptorByObject ([in] com::sun::star::sheet::XSheetFilterable xObject)
| creates a filter descriptor for the specified filterable object from the contents of this object.
Protected Member Functions inherited from XSheetFilterable
com::sun::star::sheet::XSheetFilterDescriptor | createFilterDescriptor ([in] boolean bEmpty)
| creates a filter descriptor.
void | filter ([in] com::sun::star::sheet::XSheetFilterDescriptor xDescriptor)
| performs a filter operation, using the settings of the passed filter descriptor.
Protected Member Functions inherited from XCellFormatRangesSupplier
com::sun::star::container::XIndexAccess | getCellFormatRanges ()
| returns a collection of equal-formatted cell ranges.
Protected Member Functions inherited from XUniqueCellFormatRangesSupplier
com::sun::star::container::XIndexAccess | getUniqueCellFormatRanges ()
| returns a collection of equal-formatted cell range collections.
Protected Member Functions inherited from XChartDataArray
sequence< sequence< double > > | getData ()
| retrieves the numerical data as a nested sequence of values.
void | setData ([in] sequence< sequence< double > > aData)
| sets the chart data as an array of numbers.
sequence< string > | getRowDescriptions ()
| retrieves the description texts for all rows.
void | setRowDescriptions ([in] sequence< string > aRowDescriptions)
| sets the description texts for all rows.
sequence< string > | getColumnDescriptions ()
| retrieves the description texts for all columns.
void | setColumnDescriptions ([in] sequence< string > aColumnDescriptions)
| sets the description texts for all columns.
Protected Member Functions inherited from XChartData
void | addChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| allows a component supporting the XChartDataChangeEventListener interface to register as listener.
void | removeChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| removes a previously registered listener.
double | getNotANumber ()
boolean | isNotANumber ([in] double nNumber)
| checks whether the value given is equal to the indicator value for a missing value.
Protected Member Functions inherited from XTolerantMultiPropertySet
sequence< com::sun::star::beans::SetPropertyTolerantFailed > | setPropertyValuesTolerant ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the values to the properties with the specified names.
sequence< com::sun::star::beans::GetPropertyTolerantResult > | getPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve the values of the specified properties
sequence< com::sun::star::beans::GetDirectPropertyTolerantResult > | getDirectPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve only those values of the specified properties which are direct values.
Protected Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Protected Member Functions inherited from XScenarioEnhanced
sequence< com::sun::star::table::CellRangeAddress > | getRanges ()
| gets the ranges to the scenario.
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Protected Member Functions inherited from XExternalSheetName
void | setExternalName ([in] string aUrl, [in] string aSheetName) raises (com::sun::star::container::ElementExistException)
| sets an external name at the sheet.

## Detailed Description

represents a complete spreadsheet in a spreadsheet document.

This service extents the service SheetCellRange. A spreadsheet is nothing else than a cell range with extended functionality.

See also
  com::sun::star::sheet::SpreadsheetDocument

Developers Guide
  Spreadsheet Documents - Spreadsheet Services - Overview

## Exported Interfaces

## ◆ com::sun::star::sheet::Scenario

service com::sun::star::sheet::Scenario

## ◆ com::sun::star::sheet::SheetCellRange

service com::sun::star::sheet::SheetCellRange

provides functionality for cell range handling.

## Exported Interfaces

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

provides accessing the spreadsheet name.

## ◆ com::sun::star::drawing::XDrawPageSupplier

interface com::sun::star::drawing::XDrawPageSupplier

provides access to the draw page of this spreadsheet.

## ◆ com::sun::star::sheet::XCellRangeMovement

interface com::sun::star::sheet::XCellRangeMovement

provides methods to move cell ranges inside the spreadsheet or to other spreadsheets in this document.

## ◆ com::sun::star::sheet::XDataPilotTablesSupplier

interface com::sun::star::sheet::XDataPilotTablesSupplier

provides access to the collection of DataPilot tables.

## ◆ com::sun::star::sheet::XExternalSheetName

interface com::sun::star::sheet::XExternalSheetName
| optional

provides a method to set an external name at the sheet.

Since
  OOo 3.0

## ◆ com::sun::star::sheet::XPrintAreas

interface com::sun::star::sheet::XPrintAreas

provides access to the print area settings of this sheet.

## ◆ com::sun::star::sheet::XScenariosSupplier

interface com::sun::star::sheet::XScenariosSupplier

provides access to the collection of scenarios.

## ◆ com::sun::star::sheet::XSheetAnnotationsSupplier

interface com::sun::star::sheet::XSheetAnnotationsSupplier

provides access to the collection of annotations.

## ◆ com::sun::star::sheet::XSheetAuditing

interface com::sun::star::sheet::XSheetAuditing

provides access to the auditing (detective) functionality.

## ◆ com::sun::star::sheet::XSheetLinkable

interface com::sun::star::sheet::XSheetLinkable

provides methods for a linked sheet.

## ◆ com::sun::star::sheet::XSheetOutline

interface com::sun::star::sheet::XSheetOutline

provides access to row and column outline settings.

## ◆ com::sun::star::sheet::XSheetPageBreak

interface com::sun::star::sheet::XSheetPageBreak

provides access to the page breaks of this sheet.

## ◆ com::sun::star::sheet::XSpreadsheet

interface com::sun::star::sheet::XSpreadsheet

provides methods to create a cell cursor.

## ◆ com::sun::star::table::XTableChartsSupplier

interface com::sun::star::table::XTableChartsSupplier

provides access to the collection of chart objects.

## ◆ com::sun::star::util::XProtectable

interface com::sun::star::util::XProtectable

provides methods to protect and unprotect the sheet contents.

## Member Data Documentation

## ◆ AutomaticPrintArea

boolean AutomaticPrintArea
| optionalproperty

specifies whether the sheet has an automatic print area.

The automatic print area is used to print a sheet without explicit print areas, also if other sheets have print areas.

If the property is true, and there are print areas on other sheets, the used area of this sheet is also printed.

If the property is false, and there are print areas on other sheets, only these specified print areas are printed.

If there are no print areas on the other sheets it does not matter whether property is true or false.

This property can only be true, if there are no print areas given on this sheet. If the property is set to true the print areas of this sheet will be removed.

See also
  XPrintAreas

## ◆ ConditionalFormats

com::sun::star::sheet::XConditionalFormats ConditionalFormats
| optionalproperty

specifies all conditional formats of that sheet

## ◆ IsVisible

boolean IsVisible
| property

specifies if the sheet is visible.

## ◆ PageStyle

string PageStyle
| property

specifies the page style of the sheet.

## ◆ TabColor

com::sun::star::util::Color TabColor
| optionalproperty

specifies the color of the sheet tab, if any.

## ◆ TableLayout

short TableLayout
| optionalproperty

specifies the direction of the columns in the spreadsheet.

Possible values are com::sun::star::text::WritingMode2::LR_TB to order the columns from left to right, and com::sun::star::text::WritingMode2::RL_TB to order the columns from right to left.

See also
  com::sun::star::text::WritingMode2

The documentation for this service was generated from the following file:

- com/sun/star/sheet/Spreadsheet.idl